Lorene::Hole_bhns Class Reference
Stars and black holes

Class for black holes in black hole-neutron star binaries. More...

`#include <hole_bhns.h>`

Inheritance diagram for Lorene::Hole_bhns:

## Public Member Functions

| Hole_bhns (Map &mp_i, bool kerrschild_i, bool bc_lapconf_nd, bool bc_lapconf_fs, bool irrotational, double massbh)
| Standard constructor.
| Hole_bhns (const Hole_bhns &)
| Copy constructor.
| Hole_bhns (Map &mp_i, FILE *fich)
| Constructor from a file (see `sauve(FILE*)` ).
virtual | ~Hole_bhns ()
| Destructor.
void | operator= (const Hole_bhns &)
| Assignment to another `Hole_bhns`.
double & | set_omega_spin ()
| Sets the spin angular velocity of the black hole [{\tt f_unit}].
Scalar & | set_lapconf_auto_rs ()
| Read/write of the lapconf function generated by the black hole.
Scalar & | set_lapconf_auto_bh ()
| Read/write of the lapconf function generated by the black hole.
Scalar & | set_lapconf_auto ()
| Read/write of the lapconf function generated by the black hole.
Scalar & | set_lapconf_comp ()
| Read/write of the lapconf function generated by the companion star.
Scalar & | set_lapconf_tot ()
| Read/write of the total lapconf function.
Scalar & | set_lapse_auto ()
| Read/write of the lapse function generated by the black hole.
Scalar & | set_lapse_tot ()
| Read/write of the total lapse function.
Vector & | set_shift_auto_rs ()
| Read/write of the shift vector generated by the black hole.
Vector & | set_shift_auto_bh ()
| Read/write of the shift vector generated by the black hole.
Vector & | set_shift_auto ()
| Read/write of the shift vector generated by the black hole.
Vector & | set_shift_comp ()
| Read/write of the shift vector generated by the companion star.
Vector & | set_shift_tot ()
| Read/write of the total shift vector.
Scalar & | set_confo_auto_rs ()
| Read/write of the conformal factor generated by the black hole.
Scalar & | set_confo_auto_bh ()
| Read/write of the conformal factor generated by the black hole.
Scalar & | set_confo_auto ()
| Read/write of the conformal factor generated by the black hole.
Scalar & | set_confo_comp ()
| Read/write of the conformal factor generated by the companion star.
Scalar & | set_confo_tot ()
| Read/write of the total conformal factor.
bool | has_bc_lapconf_nd () const
| Returns `true` for the Neumann type BC for the lapconf function, `false` for the Dirichlet type BH.
bool | has_bc_lapconf_fs () const
| Returns `true` for the first type BC for the lapconf function, `false` for the second type BH.
bool | is_irrotational () const
| Returns `true` for an irrotational black hole, `false` for a corotating one.
double | get_omega_spin () const
| Returns the spin angular velocity of the black hole [{\tt f_unit}].
const Scalar & | get_lapconf_auto_rs () const
| Returns the part of the lapconf function from numerical computation.
const Scalar & | get_lapconf_auto () const
| Returns the part of the lapconf function generated by the black hole.
const Scalar & | get_lapconf_comp () const
| Returns the part of the lapconf function generated by the companion star.
const Scalar & | get_lapconf_tot () const
| Returns the total lapconf function.
const Scalar & | get_lapse_auto () const
| Returns the part of the lapse function generated by the black hole.
const Scalar & | get_lapse_tot () const
| Returns the total lapse function.
const Vector & | get_d_lapconf_auto_rs () const
| Returns the derivative of the lapconf function generated by the black hole.
const Vector & | get_d_lapconf_auto () const
| Returns the derivative of the lapconf function generated by the black hole.
const Vector & | get_d_lapconf_comp () const
| Returns the derivative of the lapconf function generated by the companion star.
const Vector & | get_shift_auto_rs () const
| Returns the part of the shift vector from numerical computation.
const Vector & | get_shift_auto () const
| Returns the part of the shift vector generated by the black hole.
const Vector & | get_shift_comp () const
| Returns the part of the shift vector generated by the companion star.
const Vector & | get_shift_tot () const
| Returns the total shift vector.
const Tensor & | get_d_shift_auto_rs () const
| Returns the derivative of the shift vector generated by the black hole.
const Tensor & | get_d_shift_auto () const
| Returns the derivative of the shift vector generated by the black hole.
const Tensor & | get_d_shift_comp () const
| Returns the derivative of the shift vector generated by the companion star.
const Scalar & | get_confo_auto_rs () const
| Returns the part of the conformal factor from numerical computation.
const Scalar & | get_confo_auto () const
| Returns the part of the conformal factor generated by the black hole.
const Scalar & | get_confo_comp () const
| Returns the part of the conformal factor generated by the companion star.
const Scalar & | get_confo_tot () const
| Returns the total conformal factor.
const Vector & | get_d_confo_auto_rs () const
| Returns the derivative of the conformal factor generated by the black hole.
const Vector & | get_d_confo_auto () const
| Returns the derivative of the conformal factor generated by the black hole.
const Vector & | get_d_confo_comp () const
| Returns the derivative of the conformal factor generated by the companion star.
const Sym_tensor & | get_taij_tot_rs () const
| Returns the part of rs of the extrinsic curvature tensor.
const Sym_tensor & | get_taij_tot () const
| Returns the total extrinsic curvature tensor.
const Sym_tensor & | get_taij_auto_rs () const
| Returns the part of rs of the extrinsic curvature tensor generated by the black hole.
const Sym_tensor & | get_taij_auto () const
| Returns the part of the extrinsic curvature tensor generated by the black hole.
const Sym_tensor & | get_taij_comp () const
| Returns the part of the extrinsic curvature tensor generated by the companion star.
const Scalar & | get_taij_quad_tot_rs () const
| Returns the part of rs.
const Scalar & | get_taij_quad_tot_rot () const
| Returns the part of rot.
const Scalar & | get_taij_quad_tot () const
| Returns the total scalar .
const Scalar & | get_taij_quad_auto () const
| Returns the part of rs generated by the black hole.
const Scalar & | get_taij_quad_comp () const
| Returns the part of rs generated by the companion star.
virtual void | sauve (FILE *) const
| Save in a file.
virtual double | mass_irr_bhns () const
| Irreducible mass of the black hole.
double | spin_am_bhns (const Tbl &xi_i, const double &phi_i, const double &theta_i, const int &nrk_phi, const int &nrk_theta) const
| Spin angular momentum of the black hole.
const Valeur | bc_lapconf () const
| Boundary condition on the apparent horizon of the black hole for the lapconf function: 2-D `Valeur`.
const Valeur | bc_shift_x (double ome_orb, double y_rot) const
| Boundary condition on the apparent horizon of the black hole for the shift vector of the \fx\f direction: 2-D `Valeur`.
const Valeur | bc_shift_y (double ome_orb, double x_rot) const
| Boundary condition on the apparent horizon of the black hole for the shift vector of the \fy\f direction: 2-D `Valeur`.
const Valeur | bc_shift_z () const
| Boundary condition on the apparent horizon of the black hole for the shift vector of the \fz\f direction: 2-D `Valeur`.
const Valeur | bc_confo (double ome_orb, double x_rot, double y_rot) const
| Boundary condition on the apparent horizon of the black hole for the conformal factor: 2-D `Valeur`.
void | update_metric_bhns (const Star_bhns &star, const Hole_bhns &hole_prev, double relax)
| Computes metric coefficients from known potentials with relaxation when the companion is a black hole.
void | update_met_der_comp_bhns (const Star_bhns &star)
| Computes derivative of metric quantities from the companion neutron star.
void | extr_curv_bhns (double omega_orb, double x_rot, double y_rot)
| Computes `taij_tot` , `taij_quad_tot` from `shift_tot` , `lapse_tot` , `confo_tot` .
void | equilibrium_bhns (int mer, int mermax_bh, int filter_r, int filter_r_s, int filter_p_s, double x_rot, double y_rot, double precis, double omega_orb, double resize_bh, const Tbl &fact_resize, Tbl &diff)
| Computes a black-hole part in a black hole-neutron star binary by giving boundary conditions on the apparent horizon.
void | relax_bhns (const Hole_bhns &hole_prev, double relax_met, int mer, int fmer_met)
| Performs a relaxation on `lapse_auto` , `shift_auto` , `confo_auto` .
Tbl | runge_kutta_phi (const Tbl &xi_i, const double &phi_i, const int &nrk) const
| Compute a forth-order Runge-Kutta integration to the phi direction for the solution of the Killing vectors on the equator.
Tbl | runge_kutta_theta (const Tbl &xi_i, const double &theta_i, const double &phi, const int &nrk) const
| Compute a forth-order Runge-Kutta integration to the theta direction for the solution of the Killing vectors.
Vector | killing_vect (const Tbl &xi_i, const double &phi_i, const double &theta_i, const int &nrk_phi, const int &nrk_theta) const
| Compute the Killing vector of a black hole normalized so that its affine length is 2 M_PI.
Map & | set_mp ()
| Read/write of the mapping.
double & | set_mass_bh ()
| Read/write of the gravitational mass of BH [{\tt m_unit}].
const Map & | get_mp () const
| Returns the mapping.
bool | is_kerrschild () const
| Returns `true` for a Kerr-Schild background, `false` for a Conformally flat one.
double | get_mass_bh () const
| Returns the gravitational mass of BH [{\tt m_unit}].
const Scalar & | get_lapconf () const
| Returns lapconf generated by the black hole.
const Scalar & | get_lapconf_rs () const
| Returns the part of lapconf from the numerical computation.
const Scalar & | get_lapse () const
| Returns the lapse function generated by the black hole.
const Vector & | get_shift () const
| Returns the shift vector generated by the black hole.
const Vector & | get_shift_rs () const
| Returns the part of the shift vector from the numerical computation.
const Scalar & | get_confo () const
| Returns the conformal factor generated by the black hole.
virtual double | mass_irr () const
| Irreducible mass of the black hole.
virtual double | mass_adm () const
| ADM mass.
virtual double | mass_kom () const
| Komar mass.
virtual double | rad_ah () const
| Radius of the apparent horizon.
double | spin_am_bh (bool bclapconf_nd, bool bclapconf_fs, const Tbl &xi_i, const double &phi_i, const double &theta_i, const int &nrk_phi, const int &nrk_theta) const
| Spin angular momentum.
const Tbl & | angu_mom_bh () const
| Total angular momentum.
const Valeur | bc_lapconf (bool neumann, bool first) const
| Boundary condition on the apparent horizon of the black hole for the lapse function: 2-D `Valeur`.
const Valeur | bc_shift_x (double omega_r) const
| Boundary condition on the apparent horizon of the black hole for the shift vector of the \fx\f direction: 2-D `Valeur`.
const Valeur | bc_shift_y (double omega_r) const
| Boundary condition on the apparent horizon of the black hole for the shift vector of the \fy\f direction: 2-D `Valeur`.
const Valeur | bc_confo () const
| Boundary condition on the apparent horizon of the black hole for the conformal factor: 2-D `Valeur`.
void | extr_curv_bh ()
| Computes `taij` , `taij_quad` from `shift` , `lapse` , `confo` .
void | equilibrium_spher (bool neumann, bool first, double spin_omega, double precis=1.e-14, double precis_shift=1.e-8)
| Computes a spherical, static black-hole by giving boundary conditions on the apparent horizon.
void | static_bh (bool neumann, bool first)
| Sets the metric quantities to a spherical, static blach-hole analytic solution.
double | rah_iso (bool neumann, bool first) const
| Computes a radius of apparent horizon (excised surface) in isotropic coordinates.
const Scalar | r_coord (bool neumann, bool first) const
| Expresses the areal radial coordinate by that in spatially isotropic coordinates.
Tbl | runge_kutta_phi_bh (const Tbl &xi_i, const double &phi_i, const int &nrk) const
| Compute a forth-order Runge-Kutta integration to the phi direction for the solution of the Killing vectors on the equator.
Tbl | runge_kutta_theta_bh (const Tbl &xi_i, const double &theta_i, const double &phi, const int &nrk) const
| Compute a forth-order Runge-Kutta integration to the theta direction for the solution of the Killing vectors.
Vector | killing_vect_bh (const Tbl &xi_i, const double &phi_i, const double &theta_i, const int &nrk_phi, const int &nrk_theta) const
| Compute the Killing vector of a black hole normalized so that its affine length is 2 M_PI.

## Protected Member Functions

virtual void | del_deriv () const
| Deletes all the derived quantities.
void | set_der_0x0 () const
| Sets to `0x0` all the pointers on derived quantities.
virtual ostream & | operator>> (ostream &) const
| Operator >> (virtual function called by the operator <<).

## Protected Attributes

bool | bc_lapconf_nd
| `true` for the Neumann type BC for the lapconf function, `false` for the Dirichlet type BH
bool | bc_lapconf_fs
| `true` for the first type BC for the lapconf function, `false` for the second type BH
bool | irrotational
| `true` for an irrotational black hole, `false` for a corotating one
double | omega_spin
| Spin angular velocity of the black hole.
Scalar | lapconf_auto_rs
| Part of the lapconf function from the numerical computation.
Scalar | lapconf_auto_bh
| Part of the lapconf function from the analytic background.
Scalar | lapconf_auto
| Lapconf function generated by the black hole.
Scalar | lapconf_comp
| Lapconf function generated by the companion star.
Scalar | lapconf_tot
| Total lapconf function.
Scalar | lapse_auto
| Lapse function of the "black hole" part.
Scalar | lapse_tot
| Total lapse function.
Vector | d_lapconf_auto_rs
| Derivative of the part of the lapconf function from the numerical computation.
Vector | d_lapconf_auto_bh
| Derivative of the part of the lapconf function from the analytic background.
Vector | d_lapconf_auto
| Derivative of the lapconf function generated by the black hole.
Vector | d_lapconf_comp
| Derivative of the lapconf function generated by the companion star.
Vector | shift_auto_rs
| Part of the shift vector from the numerical computation.
Vector | shift_auto_bh
| Part of the shift vector from the analytic background.
Vector | shift_auto
| Shift vector generated by the black hole.
Vector | shift_comp
| Shift vector generated by the companion star.
Vector | shift_tot
| Total shift vector ;.
Tensor | d_shift_auto_rs
| Derivative of the part of the shift vector from the numerical computation.
Tensor | d_shift_auto_bh
| Derivative of the part of the shift vector from the analytic background.
Tensor | d_shift_auto
| Derivative of the shift vector generated by the black hole.
Tensor | d_shift_comp
| Derivative of the shift vector generated by the companion star.
Scalar | confo_auto_rs
| Part of the conformal factor from the numerical computation.
Scalar | confo_auto_bh
| Part of the conformal factor from the analytic background.
Scalar | confo_auto
| Conformal factor generated by the black hole.
Scalar | confo_comp
| Conformal factor generated by the companion star.
Scalar | confo_tot
| Total conformal factor.
Vector | d_confo_auto_rs
| Derivative of the part of the conformal factor from the numerical computation.
Vector | d_confo_auto_bh
| Derivative of the part of the conformal factor from the analytic background.
Vector | d_confo_auto
| Derivative of the conformal factor generated by the black hole.
Vector | d_confo_comp
| Derivative of the conformal factor generated by the companion star.
Sym_tensor | taij_tot_rs
| Part of the extrinsic curvature tensor from the numerical computation.
Sym_tensor | taij_tot_rot
| Part of the extrinsic curvature tensor from the rotation shift vector.
Sym_tensor | taij_tot_bh
| Part of the extrinsic curvature tensor from the analytic background.
Sym_tensor | taij_tot
| Total extrinsic curvature tensor generated by `shift_tot` , `lapse_tot` , and `confo_tot` .
Sym_tensor | taij_auto_rs
| Part of the extrinsic curvature tensor numericalty computed for the black hole.
Sym_tensor | taij_auto
| Part of the extrinsic curvature tensor generated by the black hole.
Sym_tensor | taij_comp
| Part of the extrinsic curvature tensor generated by the companion star.
Scalar | taij_quad_tot_rs
| Part of the scalar from the numerical computation.
Scalar | taij_quad_tot_rot
| Part of the scalar from the rotation shift vector.
Scalar | taij_quad_tot_bh
| Part of the scalar from the analytic background.
Scalar | taij_quad_tot
| Total scalar generated by .
Scalar | taij_quad_auto
| Part of the scalar from the black hole.
Scalar | taij_quad_comp
| Part of the scalar from the companion star.
double * | p_mass_irr_bhns
double * | p_spin_am_bhns
| Irreducible mass of BH.
Map & | mp
| Mapping associated with the black hole.
bool | kerrschild
| `true` for a Kerr-Schild background, `false` for a conformally flat background
double | mass_bh
| Gravitational mass of BH.
Scalar | lapconf
| A function (lapse function * conformal factor) lapconf generated by the black hole.
Scalar | lapconf_rs
| Part of lapconf from the numerical computation.
Scalar | lapconf_bh
| Part of lapconf from the analytic background.
Scalar | lapse
| Lapse function generated by the black hole.
Vector | shift
| Shift vector generated by the black hole.
Vector | shift_rs
| Part of the shift vector from the numerical computation.
Vector | shift_bh
| Part of the shift vector from the analytic background.
Scalar | confo
| Conformal factor generated by the black hole.
Sym_tensor | taij
| Trace of the extrinsic curvature.
Sym_tensor | taij_rs
| Part of the extrinsic curvature tensor.
Scalar | taij_quad
| Part of the scalar generated by .
Scalar | taij_quad_rs
| Part of the scalar.
Metric_flat | flat
| Flat metric defined on the mapping (Spherical components with respect to the mapping of the black hole ).
double * | p_mass_irr
| Conformal metric .
double * | p_mass_adm
| Irreducible mass of the black hole.
double * | p_mass_kom
| ADM mass.
double * | p_rad_ah
| Komar mass.
double * | p_spin_am_bh
| Radius of the apparent horizon.
Tbl * | p_angu_mom_bh
| Spin angular momentum.

## Friends

class | Bin_bhns

## Detailed Description

Class for black holes in black hole-neutron star binaries.

()

Definition at line 65 of file hole_bhns.h.

## Constructor & Destructor Documentation

## Hole_bhns() [1/3]

Lorene::Hole_bhns::Hole_bhns | ( | Map & | mp_i,
|  | bool | kerrschild_i,
|  | bool | bc_lapconf_nd,
|  | bool | bc_lapconf_fs,
|  | bool | irrotational,
|  | double | massbh )

Standard constructor.

Parameters

  mp_i | Mapping on which the black hole will be defined

Definition at line 68 of file hole_bhns.C.

References bc_lapconf_fs, bc_lapconf_nd, Lorene::Black_hole::Black_hole(), confo_auto, confo_auto_bh, confo_auto_rs, confo_comp, confo_tot, d_confo_auto, d_confo_auto_bh, d_confo_auto_rs, d_confo_comp, d_lapconf_auto, d_lapconf_auto_bh, d_lapconf_auto_rs, d_lapconf_comp, d_shift_auto, d_shift_auto_bh, d_shift_auto_rs, d_shift_comp, Lorene::get_bvect_cart(), irrotational, lapconf_auto, lapconf_auto_bh, lapconf_auto_rs, lapconf_comp, lapconf_tot, lapse_auto, lapse_tot, Lorene::Map(), omega_spin, set_der_0x0(), shift_auto, shift_auto_bh, shift_auto_rs, shift_comp, shift_tot, taij_auto, taij_auto_rs, taij_comp, taij_quad_auto, taij_quad_comp, taij_quad_tot, taij_quad_tot_bh, taij_quad_tot_rot, taij_quad_tot_rs, taij_tot, taij_tot_bh, taij_tot_rot, and taij_tot_rs.

## Hole_bhns() [2/3]

Lorene::Hole_bhns::Hole_bhns | ( | const Hole_bhns & | hole | ) |

Copy constructor.

Definition at line 197 of file hole_bhns.C.

References bc_lapconf_fs, bc_lapconf_nd, Lorene::Black_hole::Black_hole(), confo_auto, confo_auto_bh, confo_auto_rs, confo_comp, confo_tot, d_confo_auto, d_confo_auto_bh, d_confo_auto_rs, d_confo_comp, d_lapconf_auto, d_lapconf_auto_bh, d_lapconf_auto_rs, d_lapconf_comp, d_shift_auto, d_shift_auto_bh, d_shift_auto_rs, d_shift_comp, Hole_bhns(), irrotational, lapconf_auto, lapconf_auto_bh, lapconf_auto_rs, lapconf_comp, lapconf_tot, lapse_auto, lapse_tot, omega_spin, set_der_0x0(), shift_auto, shift_auto_bh, shift_auto_rs, shift_comp, shift_tot, taij_auto, taij_auto_rs, taij_comp, taij_quad_auto, taij_quad_comp, taij_quad_tot, taij_quad_tot_bh, taij_quad_tot_rot, taij_quad_tot_rs, taij_tot, taij_tot_bh, taij_tot_rot, and taij_tot_rs.

## Hole_bhns() [3/3]

Lorene::Hole_bhns::Hole_bhns | ( | Map & | mp_i,
|  | FILE * | fich )

Constructor from a file (see `sauve(FILE*)` ).

Parameters

  mp_i | Mapping on which the black hole will be defined
  fich | input file (must have been created by the function `sauve` )

Definition at line 251 of file hole_bhns.C.

References bc_lapconf_fs, bc_lapconf_nd, Lorene::Black_hole::Black_hole(), confo_auto, confo_auto_bh, confo_auto_rs, confo_comp, confo_tot, d_confo_auto, d_confo_auto_bh, d_confo_auto_rs, d_confo_comp, d_lapconf_auto, d_lapconf_auto_bh, d_lapconf_auto_rs, d_lapconf_comp, d_shift_auto, d_shift_auto_bh, d_shift_auto_rs, d_shift_comp, Lorene::get_bvect_cart(), Lorene::get_mg(), irrotational, lapconf_auto, lapconf_auto_bh, lapconf_auto_rs, lapconf_comp, lapconf_tot, lapse_auto, lapse_tot, Lorene::Map(), omega_spin, set_der_0x0(), shift_auto, shift_auto_bh, shift_auto_rs, shift_comp, shift_tot, taij_auto, taij_auto_rs, taij_comp, taij_quad_auto, taij_quad_comp, taij_quad_tot, taij_quad_tot_bh, taij_quad_tot_rot, taij_quad_tot_rs, taij_tot, taij_tot_bh, taij_tot_rot, and taij_tot_rs.

## ~Hole_bhns()

Lorene::Hole_bhns::~Hole_bhns | ( |  | ) |

virtual

Destructor.

Definition at line 380 of file hole_bhns.C.

References del_deriv().

## Member Function Documentation

## angu_mom_bh()

const Tbl & Lorene::Black_hole::angu_mom_bh | ( |  | ) | const

inherited

Total angular momentum.

Returns
  1-D {\tt Tbl} of size 3, according to \ {\tt angu_mom()(0)} = $J^x$, \ {\tt angu_mom()(1)} = $J^y$, \ {\tt angu_mom()(2)} = $J^z$.

Definition at line 634 of file blackhole_global.C.

References Lorene::Tensor::annule_domain(), Lorene::Scalar::dec_dzpuis(), Lorene::Map_af::integrale_surface(), mp, p_angu_mom_bh, Lorene::Scalar::raccord(), Lorene::Vector::set(), Lorene::Tensor::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), and taij.

## bc_confo() [1/2]

const Valeur Lorene::Black_hole::bc_confo | ( |  | ) | const

inherited

Boundary condition on the apparent horizon of the black hole for the conformal factor: 2-D `Valeur`.

Definition at line 410 of file blackhole_bc.C.

References confo, Lorene::Scalar::dsdr(), Lorene::Mg3d::get_angu(), Lorene::Scalar::get_dzpuis(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), kerrschild, lapconf, mass_bh, mp, Lorene::pow(), Lorene::Valeur::set(), Lorene::Scalar::set_dzpuis(), shift, Lorene::Valeur::std_base_scal(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## bc_confo() [2/2]

const Valeur Lorene::Hole_bhns::bc_confo | ( | double | ome_orb,
|  | double | x_rot,
|  | double | y_rot ) const

Boundary condition on the apparent horizon of the black hole for the conformal factor: 2-D `Valeur`.

Parameters

  ome_orb | orbital angular velocity
  x_rot | position of the rotation axis

Definition at line 503 of file hole_bhns_bc.C.

References bc_lapconf_fs, bc_lapconf_nd, confo_auto_rs, confo_comp, confo_tot, d_confo_comp, d_shift_comp, Lorene::Scalar::dec_dzpuis(), Lorene::Scalar::dsdr(), Lorene::Mg3d::get_angu(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Black_hole::kerrschild, lapconf_tot, Lorene::Black_hole::mass_bh, Lorene::Black_hole::mp, Lorene::pow(), Lorene::Black_hole::r_coord(), Lorene::Valeur::set(), Lorene::Vector::set(), Lorene::Tensor::set_etat_qcq(), shift_auto_rs, shift_comp, Lorene::sqrt(), Lorene::Valeur::std_base_scal(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## bc_lapconf() [1/2]

const Valeur Lorene::Black_hole::bc_lapconf | ( | bool | neumann,
|  | bool | first ) const

inherited

Boundary condition on the apparent horizon of the black hole for the lapse function: 2-D `Valeur`.

Definition at line 71 of file blackhole_bc.C.

References Lorene::Mg3d::get_angu(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), kerrschild, lapconf, mp, Lorene::Valeur::set(), Lorene::Valeur::std_base_scal(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## bc_lapconf() [2/2]

const Valeur Lorene::Hole_bhns::bc_lapconf | ( |  | ) | const

Boundary condition on the apparent horizon of the black hole for the lapconf function: 2-D `Valeur`.

Definition at line 68 of file hole_bhns_bc.C.

References bc_lapconf_fs, bc_lapconf_nd, d_lapconf_comp, Lorene::Mg3d::get_angu(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Scalar::inc_dzpuis(), Lorene::Black_hole::kerrschild, lapconf_auto_rs, lapconf_comp, Lorene::Black_hole::mp, Lorene::Valeur::set(), Lorene::Valeur::std_base_scal(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## bc_shift_x() [1/2]

const Valeur Lorene::Black_hole::bc_shift_x | ( | double | omega_r | ) | const

inherited

Boundary condition on the apparent horizon of the black hole for the shift vector of the \fx\f direction: 2-D `Valeur`.

Definition at line 211 of file blackhole_bc.C.

References Lorene::Valeur::base, confo, Lorene::Mg3d::get_angu(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), kerrschild, lapconf, mp, Lorene::pow(), Lorene::Valeur::set(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## bc_shift_x() [2/2]

const Valeur Lorene::Hole_bhns::bc_shift_x | ( | double | ome_orb,
|  | double | y_rot ) const

Boundary condition on the apparent horizon of the black hole for the shift vector of the \fx\f direction: 2-D `Valeur`.

Definition at line 183 of file hole_bhns_bc.C.

References Lorene::Valeur::base, bc_lapconf_fs, bc_lapconf_nd, confo_tot, Lorene::Mg3d::get_angu(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Black_hole::kerrschild, lapconf_tot, Lorene::Black_hole::mass_bh, Lorene::Black_hole::mp, omega_spin, Lorene::pow(), Lorene::Black_hole::r_coord(), Lorene::Valeur::set(), shift_comp, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## bc_shift_y() [1/2]

const Valeur Lorene::Black_hole::bc_shift_y | ( | double | omega_r | ) | const

inherited

Boundary condition on the apparent horizon of the black hole for the shift vector of the \fy\f direction: 2-D `Valeur`.

Definition at line 281 of file blackhole_bc.C.

References Lorene::Valeur::base, confo, Lorene::Mg3d::get_angu(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), kerrschild, lapconf, mp, Lorene::pow(), Lorene::Valeur::set(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## bc_shift_y() [2/2]

const Valeur Lorene::Hole_bhns::bc_shift_y | ( | double | ome_orb,
|  | double | x_rot ) const

Boundary condition on the apparent horizon of the black hole for the shift vector of the \fy\f direction: 2-D `Valeur`.

Definition at line 293 of file hole_bhns_bc.C.

References Lorene::Valeur::base, bc_lapconf_fs, bc_lapconf_nd, confo_tot, Lorene::Mg3d::get_angu(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Black_hole::kerrschild, lapconf_tot, Lorene::Black_hole::mass_bh, Lorene::Black_hole::mp, omega_spin, Lorene::pow(), Lorene::Black_hole::r_coord(), Lorene::Valeur::set(), shift_comp, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## bc_shift_z()

const Valeur Lorene::Hole_bhns::bc_shift_z | ( |  | ) | const

Boundary condition on the apparent horizon of the black hole for the shift vector of the \fz\f direction: 2-D `Valeur`.

Definition at line 403 of file hole_bhns_bc.C.

References Lorene::Valeur::base, bc_lapconf_fs, bc_lapconf_nd, confo_tot, Lorene::Mg3d::get_angu(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Black_hole::kerrschild, lapconf_tot, Lorene::Black_hole::mass_bh, Lorene::Black_hole::mp, Lorene::pow(), Lorene::Black_hole::r_coord(), Lorene::Valeur::set(), shift_comp, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## del_deriv()

void Lorene::Hole_bhns::del_deriv | ( |  | ) | const

protected virtual

Deletes all the derived quantities.

Reimplemented from Lorene::Black_hole.

Definition at line 392 of file hole_bhns.C.

References Lorene::Black_hole::del_deriv(), p_spin_am_bhns, and set_der_0x0().

## equilibrium_bhns()

void Lorene::Hole_bhns::equilibrium_bhns | ( | int | mer,
|  | int | mermax_bh,
|  | int | filter_r,
|  | int | filter_r_s,
|  | int | filter_p_s,
|  | double | x_rot,
|  | double | y_rot,
|  | double | precis,
|  | double | omega_orb,
|  | double | resize_bh,
|  | const Tbl & | fact_resize,
|  | Tbl & | diff )

Computes a black-hole part in a black hole-neutron star binary by giving boundary conditions on the apparent horizon.

Parameters

  mer | [input] Number of iteration
  mermax_bh | [input] Maximum number of iteration steps
  filter_r | [input] No. points to be deleted for (r): lap,conf
  filter_r_s | [input] No. points to be deleted for (r): shift
  filter_p_s | [input] No. points to be deleted for (phi): shift
  x_rot | [input] Position of the rotation axis
  y_rot | [input] Position of the rotation axis
  precis | [input] threshold in the relative difference of a metric quantity between two succesive steps to stop the iterative procedure (default value: 1.e-14)
  omega_orb | [input] Orbital angular velocity
  resize_bh | [input] Resize factor for the first shell
  fact_resize | [input] 1-D `Tbl` for the input of some factors : \ `fact(0)` : A resizing factor for the first shell
  diff | [output] 1-D `Tbl` for the storage of some error indicators :

Definition at line 69 of file hole_bhns_equilibrium.C.

References Lorene::Tensor::annule_domain(), Lorene::Black_hole::bc_confo(), bc_lapconf(), bc_lapconf_fs, bc_lapconf_nd, bc_shift_x(), bc_shift_y(), bc_shift_z(), confo_auto, confo_auto_bh, confo_auto_rs, confo_comp, confo_tot, Lorene::contract(), d_confo_comp, d_lapconf_comp, Lorene::diffrel(), Lorene::Scalar::filtre(), Lorene::Scalar::filtre_phi(), Lorene::Mg3d::get_angu(), Lorene::Scalar::get_etat(), Lorene::Mg3d::get_nzone(), Lorene::Scalar::inc_dzpuis(), Lorene::Black_hole::kerrschild, lapconf_auto, lapconf_auto_bh, lapconf_auto_rs, lapconf_comp, lapconf_tot, Lorene::Black_hole::mass_bh, Lorene::Black_hole::mp, Lorene::Scalar::poisson_dirichlet(), Lorene::Scalar::poisson_neumann(), Lorene::pow(), Lorene::Black_hole::r_coord(), Lorene::Scalar::raccord(), Lorene::Tbl::set(), Lorene::Tenseur::set(), Lorene::Vector::set(), Lorene::Scalar::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tensor::set_etat_qcq(), shift_auto, shift_auto_bh, shift_auto_rs, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), taij_auto_rs, taij_comp, taij_quad_auto, taij_quad_comp, and taij_tot_rs.

## equilibrium_spher()

void Lorene::Black_hole::equilibrium_spher | ( | bool | neumann,
|  | bool | first,
|  | double | spin_omega,
|  | double | precis = 1.e-14,
|  | double | precis_shift = 1.e-8 )

inherited

Computes a spherical, static black-hole by giving boundary conditions on the apparent horizon.

Parameters

  neumann | [input] `true` for the neumann bc, `false` for the dirichlet one for the lapse
  first | [input] `true` for the first type of bc, `false` for the second type
  spin_omega | [input] spin parameter of the black hole
  precis | [input] threshold in the relative difference of a metric quantity between two succesive steps to stop the iterative procedure (default value: 1.e-14)
  precis_shift | [input] threshold in the relative difference of the shift vector between two succesive steps to stop the iterative procedure (default value: 1.e-8)

Definition at line 70 of file blackhole_eq_spher.C.

References Lorene::Tensor::annule_domain(), bc_confo(), bc_lapconf(), bc_shift_x(), bc_shift_y(), bc_shift_z(), confo, Lorene::contract(), del_deriv(), Lorene::Scalar::deriv(), Lorene::diffrel(), extr_curv_bh(), Lorene::Scalar::filtre(), Lorene::Mg3d::get_angu(), Lorene::Scalar::get_dzpuis(), Lorene::Mg3d::get_nzone(), Lorene::Scalar::inc_dzpuis(), kerrschild, lapconf, lapconf_bh, lapconf_rs, lapse, mass_adm(), mass_bh, mass_irr(), mass_kom(), mp, Lorene::Scalar::poisson_dirichlet(), Lorene::Scalar::poisson_neumann(), Lorene::pow(), r_coord(), Lorene::Scalar::raccord(), rad_ah(), Lorene::Tbl::set(), Lorene::Tenseur::set(), Lorene::Vector::set(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tensor::set_etat_qcq(), shift, shift_bh, shift_rs, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), taij, and taij_quad.

## extr_curv_bh()

void Lorene::Black_hole::extr_curv_bh | ( |  | ) |

inherited

Computes `taij` , `taij_quad` from `shift` , `lapse` , `confo` .

Definition at line 62 of file blackhole_extr_curv.C.

References Lorene::Tensor::annule_domain(), confo, flat, Lorene::Scalar::inc_dzpuis(), Lorene::Tensor::inc_dzpuis(), kerrschild, lapconf, mass_bh, mp, Lorene::pow(), Lorene::Scalar::raccord(), Lorene::Tensor::set(), Lorene::Vector::set(), Lorene::Tensor::set_etat_qcq(), shift, shift_rs, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), Lorene::Tensor::std_spectral_base(), Lorene::Vector::std_spectral_base(), taij, taij_quad, taij_quad_rs, and taij_rs.

## extr_curv_bhns()

void Lorene::Hole_bhns::extr_curv_bhns | ( | double | omega_orb,
|  | double | x_rot,
|  | double | y_rot )

Computes `taij_tot` , `taij_quad_tot` from `shift_tot` , `lapse_tot` , `confo_tot` .

Parameters

  omega_orb | [input] Orbital angular velocity
  x_rot | [input] Position of the rotation axis

Definition at line 63 of file hole_bhns_extr_curv.C.

References Lorene::Tensor::annule_domain(), bc_lapconf_fs, bc_lapconf_nd, confo_comp, confo_tot, d_shift_comp, del_deriv(), Lorene::Black_hole::flat, Lorene::Tensor::inc_dzpuis(), Lorene::Black_hole::kerrschild, lapconf_auto, lapconf_auto_bh, lapconf_comp, lapconf_tot, Lorene::Black_hole::mass_bh, Lorene::Black_hole::mp, Lorene::pow(), Lorene::Black_hole::r_coord(), Lorene::Scalar::raccord(), Lorene::Tensor::set(), Lorene::Vector::set(), Lorene::Tensor::set_etat_qcq(), shift_auto_rs, shift_comp, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), Lorene::Tensor::std_spectral_base(), Lorene::Vector::std_spectral_base(), taij_auto, taij_auto_rs, taij_comp, taij_quad_auto, taij_quad_comp, taij_quad_tot, taij_quad_tot_bh, taij_quad_tot_rot, taij_quad_tot_rs, taij_tot, taij_tot_bh, taij_tot_rot, and taij_tot_rs.

## get_confo()

const Scalar & Lorene::Black_hole::get_confo | ( |  | ) | const

inline inherited

Returns the conformal factor generated by the black hole.

Definition at line 241 of file blackhole.h.

References confo.

## get_confo_auto()

const Scalar & Lorene::Hole_bhns::get_confo_auto | ( |  | ) | const

inline

Returns the part of the conformal factor generated by the black hole.

Definition at line 439 of file hole_bhns.h.

References confo_auto.

## get_confo_auto_rs()

const Scalar & Lorene::Hole_bhns::get_confo_auto_rs | ( |  | ) | const

inline

Returns the part of the conformal factor from numerical computation.

Definition at line 434 of file hole_bhns.h.

References confo_auto_rs.

## get_confo_comp()

const Scalar & Lorene::Hole_bhns::get_confo_comp | ( |  | ) | const

inline

Returns the part of the conformal factor generated by the companion star.

Definition at line 444 of file hole_bhns.h.

References confo_comp.

## get_confo_tot()

const Scalar & Lorene::Hole_bhns::get_confo_tot | ( |  | ) | const

inline

Returns the total conformal factor.

Definition at line 447 of file hole_bhns.h.

References confo_tot.

## get_d_confo_auto()

const Vector & Lorene::Hole_bhns::get_d_confo_auto | ( |  | ) | const

inline

Returns the derivative of the conformal factor generated by the black hole.

Definition at line 457 of file hole_bhns.h.

References d_confo_auto.

## get_d_confo_auto_rs()

const Vector & Lorene::Hole_bhns::get_d_confo_auto_rs | ( |  | ) | const

inline

Returns the derivative of the conformal factor generated by the black hole.

Definition at line 452 of file hole_bhns.h.

References d_confo_auto_rs.

## get_d_confo_comp()

const Vector & Lorene::Hole_bhns::get_d_confo_comp | ( |  | ) | const

inline

Returns the derivative of the conformal factor generated by the companion star.

Definition at line 462 of file hole_bhns.h.

References d_confo_comp.

## get_d_lapconf_auto()

const Vector & Lorene::Hole_bhns::get_d_lapconf_auto | ( |  | ) | const

inline

Returns the derivative of the lapconf function generated by the black hole.

Definition at line 397 of file hole_bhns.h.

References d_lapconf_auto.

## get_d_lapconf_auto_rs()

const Vector & Lorene::Hole_bhns::get_d_lapconf_auto_rs | ( |  | ) | const

inline

Returns the derivative of the lapconf function generated by the black hole.

Definition at line 391 of file hole_bhns.h.

References d_lapconf_auto_rs.

## get_d_lapconf_comp()

const Vector & Lorene::Hole_bhns::get_d_lapconf_comp | ( |  | ) | const

inline

Returns the derivative of the lapconf function generated by the companion star.

Definition at line 402 of file hole_bhns.h.

References d_lapconf_comp.

## get_d_shift_auto()

const Tensor & Lorene::Hole_bhns::get_d_shift_auto | ( |  | ) | const

inline

Returns the derivative of the shift vector generated by the black hole.

Definition at line 426 of file hole_bhns.h.

References d_shift_auto.

## get_d_shift_auto_rs()

const Tensor & Lorene::Hole_bhns::get_d_shift_auto_rs | ( |  | ) | const

inline

Returns the derivative of the shift vector generated by the black hole.

Definition at line 421 of file hole_bhns.h.

References d_shift_auto_rs.

## get_d_shift_comp()

const Tensor & Lorene::Hole_bhns::get_d_shift_comp | ( |  | ) | const

inline

Returns the derivative of the shift vector generated by the companion star.

Definition at line 431 of file hole_bhns.h.

References d_shift_comp.

## get_lapconf()

const Scalar & Lorene::Black_hole::get_lapconf | ( |  | ) | const

inline inherited

Returns lapconf generated by the black hole.

Definition at line 224 of file blackhole.h.

References lapconf.

## get_lapconf_auto()

const Scalar & Lorene::Hole_bhns::get_lapconf_auto | ( |  | ) | const

inline

Returns the part of the lapconf function generated by the black hole.

Definition at line 370 of file hole_bhns.h.

References lapconf_auto.

## get_lapconf_auto_rs()

const Scalar & Lorene::Hole_bhns::get_lapconf_auto_rs | ( |  | ) | const

inline

Returns the part of the lapconf function from numerical computation.

Definition at line 365 of file hole_bhns.h.

References lapconf_auto_rs.

## get_lapconf_comp()

const Scalar & Lorene::Hole_bhns::get_lapconf_comp | ( |  | ) | const

inline

Returns the part of the lapconf function generated by the companion star.

Definition at line 375 of file hole_bhns.h.

References lapconf_comp.

## get_lapconf_rs()

const Scalar & Lorene::Black_hole::get_lapconf_rs | ( |  | ) | const

inline inherited

Returns the part of lapconf from the numerical computation.

Definition at line 227 of file blackhole.h.

References lapconf_rs.

## get_lapconf_tot()

const Scalar & Lorene::Hole_bhns::get_lapconf_tot | ( |  | ) | const

inline

Returns the total lapconf function.

Definition at line 378 of file hole_bhns.h.

References lapconf_tot.

## get_lapse()

const Scalar & Lorene::Black_hole::get_lapse | ( |  | ) | const

inline inherited

Returns the lapse function generated by the black hole.

Definition at line 230 of file blackhole.h.

References lapse.

## get_lapse_auto()

const Scalar & Lorene::Hole_bhns::get_lapse_auto | ( |  | ) | const

inline

Returns the part of the lapse function generated by the black hole.

Definition at line 383 of file hole_bhns.h.

References lapse_auto.

## get_lapse_tot()

const Scalar & Lorene::Hole_bhns::get_lapse_tot | ( |  | ) | const

inline

Returns the total lapse function.

Definition at line 386 of file hole_bhns.h.

References lapse_tot.

## get_mass_bh()

double Lorene::Black_hole::get_mass_bh | ( |  | ) | const

inline inherited

Returns the gravitational mass of BH [{\tt m_unit}].

Definition at line 221 of file blackhole.h.

References mass_bh.

## get_mp()

const Map & Lorene::Black_hole::get_mp | ( |  | ) | const

inline inherited

Returns the mapping.

Definition at line 213 of file blackhole.h.

References Lorene::Map(), and mp.

## get_omega_spin()

double Lorene::Hole_bhns::get_omega_spin | ( |  | ) | const

inline

Returns the spin angular velocity of the black hole [{\tt f_unit}].

Definition at line 362 of file hole_bhns.h.

References omega_spin.

## get_shift()

const Vector & Lorene::Black_hole::get_shift | ( |  | ) | const

inline inherited

Returns the shift vector generated by the black hole.

Definition at line 233 of file blackhole.h.

References shift.

## get_shift_auto()

const Vector & Lorene::Hole_bhns::get_shift_auto | ( |  | ) | const

inline

Returns the part of the shift vector generated by the black hole.

Definition at line 408 of file hole_bhns.h.

References shift_auto.

## get_shift_auto_rs()

const Vector & Lorene::Hole_bhns::get_shift_auto_rs | ( |  | ) | const

inline

Returns the part of the shift vector from numerical computation.

Definition at line 405 of file hole_bhns.h.

References shift_auto_rs.

## get_shift_comp()

const Vector & Lorene::Hole_bhns::get_shift_comp | ( |  | ) | const

inline

Returns the part of the shift vector generated by the companion star.

Definition at line 413 of file hole_bhns.h.

References shift_comp.

## get_shift_rs()

const Vector & Lorene::Black_hole::get_shift_rs | ( |  | ) | const

inline inherited

Returns the part of the shift vector from the numerical computation.

Definition at line 238 of file blackhole.h.

References shift_rs.

## get_shift_tot()

const Vector & Lorene::Hole_bhns::get_shift_tot | ( |  | ) | const

inline

Returns the total shift vector.

Definition at line 416 of file hole_bhns.h.

References shift_tot.

## get_taij_auto()

const Sym_tensor & Lorene::Hole_bhns::get_taij_auto | ( |  | ) | const

inline

Returns the part of the extrinsic curvature tensor generated by the black hole.

Definition at line 478 of file hole_bhns.h.

References taij_auto.

## get_taij_auto_rs()

const Sym_tensor & Lorene::Hole_bhns::get_taij_auto_rs | ( |  | ) | const

inline

Returns the part of rs of the extrinsic curvature tensor generated by the black hole.

Definition at line 473 of file hole_bhns.h.

References taij_auto_rs.

## get_taij_comp()

const Sym_tensor & Lorene::Hole_bhns::get_taij_comp | ( |  | ) | const

inline

Returns the part of the extrinsic curvature tensor generated by the companion star.

Definition at line 483 of file hole_bhns.h.

References taij_comp.

## get_taij_quad_auto()

const Scalar & Lorene::Hole_bhns::get_taij_quad_auto | ( |  | ) | const

inline

Returns the part of rs generated by the black hole.

Definition at line 494 of file hole_bhns.h.

References taij_quad_auto.

## get_taij_quad_comp()

const Scalar & Lorene::Hole_bhns::get_taij_quad_comp | ( |  | ) | const

inline

Returns the part of rs generated by the companion star.

Definition at line 497 of file hole_bhns.h.

References taij_quad_comp.

## get_taij_quad_tot()

const Scalar & Lorene::Hole_bhns::get_taij_quad_tot | ( |  | ) | const

inline

Returns the total scalar .

Definition at line 491 of file hole_bhns.h.

References taij_quad_tot.

## get_taij_quad_tot_rot()

const Scalar & Lorene::Hole_bhns::get_taij_quad_tot_rot | ( |  | ) | const

inline

Returns the part of rot.

Definition at line 488 of file hole_bhns.h.

References taij_quad_tot_rot.

## get_taij_quad_tot_rs()

const Scalar & Lorene::Hole_bhns::get_taij_quad_tot_rs | ( |  | ) | const

inline

Returns the part of rs.

Definition at line 486 of file hole_bhns.h.

References taij_quad_tot_rs.

## get_taij_tot()

const Sym_tensor & Lorene::Hole_bhns::get_taij_tot | ( |  | ) | const

inline

Returns the total extrinsic curvature tensor.

Definition at line 468 of file hole_bhns.h.

References taij_tot.

## get_taij_tot_rs()

const Sym_tensor & Lorene::Hole_bhns::get_taij_tot_rs | ( |  | ) | const

inline

Returns the part of rs of the extrinsic curvature tensor.

Definition at line 465 of file hole_bhns.h.

References taij_tot_rs.

## has_bc_lapconf_fs()

bool Lorene::Hole_bhns::has_bc_lapconf_fs | ( |  | ) | const

inline

Returns `true` for the first type BC for the lapconf function, `false` for the second type BH.

Definition at line 354 of file hole_bhns.h.

References bc_lapconf_fs.

## has_bc_lapconf_nd()

bool Lorene::Hole_bhns::has_bc_lapconf_nd | ( |  | ) | const

inline

Returns `true` for the Neumann type BC for the lapconf function, `false` for the Dirichlet type BH.

Definition at line 349 of file hole_bhns.h.

References bc_lapconf_nd.

## is_irrotational()

bool Lorene::Hole_bhns::is_irrotational | ( |  | ) | const

inline

Returns `true` for an irrotational black hole, `false` for a corotating one.

Definition at line 359 of file hole_bhns.h.

References irrotational.

## is_kerrschild()

bool Lorene::Black_hole::is_kerrschild | ( |  | ) | const

inline inherited

Returns `true` for a Kerr-Schild background, `false` for a Conformally flat one.

Definition at line 218 of file blackhole.h.

References kerrschild.

## killing_vect()

Vector Lorene::Hole_bhns::killing_vect | ( | const Tbl & | xi_i,
|  | const double & | phi_i,
|  | const double & | theta_i,
|  | const int & | nrk_phi,
|  | const int & | nrk_theta ) const

Compute the Killing vector of a black hole normalized so that its affine length is 2 M_PI.

Parameters

  xi_i | [input] initial set of the Killing vectors at the starting point on the equator
  phi_i | [input] initial phi coordinate at which the integration starts
  theta_i | [input] initial theta coordinate at which the integration starts
  nrk_phi | [input] number of the Runge-Kutta integration between two successive collocation points for the phi direction
  nrk_theta | [input] number of the Runge-Kutta integration between two successive collocation points for the theta direction

Definition at line 66 of file hole_bhns_killing.C.

References confo_tot, Lorene::Scalar::dsdt(), Lorene::Tbl::get_dim(), Lorene::Tbl::get_ndim(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Black_hole::kerrschild, Lorene::Black_hole::mp, Lorene::pow(), Lorene::Black_hole::rad_ah(), runge_kutta_phi(), runge_kutta_theta(), Lorene::Tbl::set(), Lorene::Vector::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Tensor::set_etat_qcq(), Lorene::Scalar::set_grid_point(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), Lorene::Scalar::stdsdp(), Lorene::Scalar::val_grid_point(), and Lorene::Scalar::val_point().

## killing_vect_bh()

Vector Lorene::Black_hole::killing_vect_bh | ( | const Tbl & | xi_i,
|  | const double & | phi_i,
|  | const double & | theta_i,
|  | const int & | nrk_phi,
|  | const int & | nrk_theta ) const

inherited

Compute the Killing vector of a black hole normalized so that its affine length is 2 M_PI.

Parameters

  xi_i | [input] initial set of the Killing vectors at the starting point on the equator
  phi_i | [input] initial phi coordinate at which the integration starts
  theta_i | [input] initial theta coordinate at which the integration starts
  nrk_phi | [input] number of the Runge-Kutta integration between two successive collocation points for the phi direction
  nrk_theta | [input] number of the Runge-Kutta integration between two successive collocation points for the theta direction

Definition at line 66 of file blackhole_killing.C.

References confo, Lorene::Tbl::get_dim(), Lorene::Tbl::get_ndim(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), kerrschild, mp, Lorene::pow(), rad_ah(), runge_kutta_phi_bh(), runge_kutta_theta_bh(), Lorene::Tbl::set(), Lorene::Vector::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Tensor::set_etat_qcq(), Lorene::Scalar::set_grid_point(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), Lorene::Scalar::val_grid_point(), and Lorene::Scalar::val_point().

## mass_adm()

double Lorene::Black_hole::mass_adm | ( |  | ) | const

virtual inherited

ADM mass.

Definition at line 103 of file blackhole_global.C.

References Lorene::Tensor::annule_domain(), confo, Lorene::Scalar::dec_dzpuis(), Lorene::Scalar::dsdr(), Lorene::Scalar::integrale(), Lorene::Map_af::integrale_surface(), Lorene::Map_af::integrale_surface_infini(), kerrschild, lapconf, mp, p_mass_adm, Lorene::pow(), Lorene::Scalar::raccord(), Lorene::Vector::set(), Lorene::Scalar::set_etat_qcq(), Lorene::Tensor::set_etat_qcq(), shift, Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), and taij_quad.

## mass_irr()

double Lorene::Black_hole::mass_irr | ( |  | ) | const

virtual inherited

Irreducible mass of the black hole.

Definition at line 69 of file blackhole_global.C.

References Lorene::Tensor::annule_domain(), confo, Lorene::Map_af::integrale_surface(), mp, p_mass_irr, Lorene::pow(), Lorene::Scalar::raccord(), Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## mass_irr_bhns()

double Lorene::Hole_bhns::mass_irr_bhns | ( |  | ) | const

virtual

Irreducible mass of the black hole.

Definition at line 69 of file hole_bhns_global.C.

References Lorene::Tensor::annule_domain(), confo_tot, Lorene::Map_af::integrale_surface(), Lorene::Black_hole::mp, Lorene::pow(), Lorene::Scalar::raccord(), Lorene::sqrt(), and Lorene::Scalar::std_spectral_base().

## mass_kom()

double Lorene::Black_hole::mass_kom | ( |  | ) | const

virtual inherited

Komar mass.

Definition at line 289 of file blackhole_global.C.

References Lorene::Tensor::annule_domain(), confo, Lorene::Scalar::dec_dzpuis(), Lorene::Scalar::integrale(), Lorene::Map_af::integrale_surface(), Lorene::Map_af::integrale_surface_infini(), kerrschild, lapconf, mp, p_mass_kom, Lorene::pow(), Lorene::Scalar::raccord(), Lorene::Vector::set(), Lorene::Scalar::set_etat_qcq(), Lorene::Tensor::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), and taij_quad.

## operator=()

void Lorene::Hole_bhns::operator= | ( | const Hole_bhns & | hole | ) |

Assignment to another `Hole_bhns`.

Definition at line 419 of file hole_bhns.C.

References bc_lapconf_fs, bc_lapconf_nd, confo_auto, confo_auto_bh, confo_auto_rs, confo_comp, confo_tot, d_confo_auto, d_confo_auto_bh, d_confo_auto_rs, d_confo_comp, d_lapconf_auto, d_lapconf_auto_bh, d_lapconf_auto_rs, d_lapconf_comp, d_shift_auto, d_shift_auto_bh, d_shift_auto_rs, d_shift_comp, del_deriv(), Hole_bhns(), irrotational, lapconf_auto, lapconf_auto_bh, lapconf_auto_rs, lapconf_comp, lapconf_tot, lapse_auto, lapse_tot, omega_spin, Lorene::Black_hole::operator=(), shift_auto, shift_auto_bh, shift_auto_rs, shift_comp, shift_tot, taij_auto, taij_auto_rs, taij_comp, taij_quad_auto, taij_quad_comp, taij_quad_tot, taij_quad_tot_bh, taij_quad_tot_rot, taij_quad_tot_rs, taij_tot, taij_tot_bh, taij_tot_rot, and taij_tot_rs.

## operator>>()

ostream & Lorene::Hole_bhns::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >> (virtual function called by the operator <<).

Reimplemented from Lorene::Black_hole.

Definition at line 620 of file hole_bhns.C.

References confo_tot, lapse_tot, Lorene::Black_hole::mass_bh, mass_irr_bhns(), Lorene::Black_hole::mp, omega_spin, Lorene::Black_hole::rad_ah(), and shift_tot.

## r_coord()

const Scalar Lorene::Black_hole::r_coord | ( | bool | neumann,
|  | bool | first ) const

inherited

Expresses the areal radial coordinate by that in spatially isotropic coordinates.

Parameters

  neumann | [input] `true` for the neumann bc, `false` for the dirichlet one for the lapse
  first | [input] `true` for the first type of bc, `false` for the second type

Definition at line 66 of file blackhole_r_coord.C.

References Lorene::Tensor::annule_domain(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::log(), mass_bh, mp, Lorene::Scalar::raccord(), Lorene::Scalar::set_grid_point(), Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## rad_ah()

double Lorene::Black_hole::rad_ah | ( |  | ) | const

virtual inherited

Radius of the apparent horizon.

Definition at line 505 of file blackhole_global.C.

References mp, p_rad_ah, Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_grid_point().

## rah_iso()

double Lorene::Black_hole::rah_iso | ( | bool | neumann,
|  | bool | first ) const

inherited

Computes a radius of apparent horizon (excised surface) in isotropic coordinates.

Parameters

  neumann | [input] `true` for the neumann bc, `false` for the dirichlet one for the lapse
  first | [input] `true` for the first type of bc, `false` for the second type

Definition at line 69 of file blackhole_rah_iso.C.

References Lorene::exp(), and Lorene::sqrt().

## relax_bhns()

void Lorene::Hole_bhns::relax_bhns | ( | const Hole_bhns & | hole_prev,
|  | double | relax_met,
|  | int | mer,
|  | int | fmer_met )

Performs a relaxation on `lapse_auto` , `shift_auto` , `confo_auto` .

Parameters

  hole_prev | [input] black hole at the previous step
  relax_met | [input] Relaxation factor for `lapse_auto` , `shift_auto` , `confo_auto` , only if ``(merfmer_met=0) .
  mer | [input] Step number
  fmer_met | [input] Step interval between metric updates

Definition at line 659 of file hole_bhns.C.

References confo_auto_rs, del_deriv(), Hole_bhns(), lapconf_auto_rs, and shift_auto_rs.

## runge_kutta_phi()

Tbl Lorene::Hole_bhns::runge_kutta_phi | ( | const Tbl & | xi_i,
|  | const double & | phi_i,
|  | const int & | nrk ) const

Compute a forth-order Runge-Kutta integration to the phi direction for the solution of the Killing vectors on the equator.

Parameters

  xi_i | [input] initial set of the Killing vectors at the starting point on the equator
  phi_i | [input] initial phi coordinate at which the integration starts
  nrk | [input] number of the Runge-Kutta integration between two successive collocation points

Definition at line 67 of file hole_bhns_rk_phi.C.

References confo_tot, Lorene::Mg3d::get_np(), Lorene::Black_hole::kerrschild, Lorene::Black_hole::mp, Lorene::Black_hole::rad_ah(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_point().

## runge_kutta_phi_bh()

Tbl Lorene::Black_hole::runge_kutta_phi_bh | ( | const Tbl & | xi_i,
|  | const double & | phi_i,
|  | const int & | nrk ) const

inherited

Compute a forth-order Runge-Kutta integration to the phi direction for the solution of the Killing vectors on the equator.

Parameters

  xi_i | [input] initial set of the Killing vectors at the starting point on the equator
  phi_i | [input] initial phi coordinate at which the integration starts
  nrk | [input] number of the Runge-Kutta integration between two successive collocation points

Definition at line 67 of file blackhole_rk_phi.C.

References confo, Lorene::Mg3d::get_np(), kerrschild, mp, rad_ah(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_point().

## runge_kutta_theta()

Tbl Lorene::Hole_bhns::runge_kutta_theta | ( | const Tbl & | xi_i,
|  | const double & | theta_i,
|  | const double & | phi,
|  | const int & | nrk ) const

Compute a forth-order Runge-Kutta integration to the theta direction for the solution of the Killing vectors.

Parameters

  xi_i | [input] initial set of the Killing vectors at the starting point on the equator
  theta_i | [input] initial theta coordinate at which the integration starts
  phi | [input] fixed phi coordinate during integration to the theta direction
  nrk | [input] number of the Runge-Kutta integration between two successive collocation points

Definition at line 67 of file hole_bhns_rk_theta.C.

References confo_tot, Lorene::Mg3d::get_nt(), Lorene::Black_hole::kerrschild, Lorene::Black_hole::mp, Lorene::phi, Lorene::Black_hole::rad_ah(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_point().

## runge_kutta_theta_bh()

Tbl Lorene::Black_hole::runge_kutta_theta_bh | ( | const Tbl & | xi_i,
|  | const double & | theta_i,
|  | const double & | phi,
|  | const int & | nrk ) const

inherited

Compute a forth-order Runge-Kutta integration to the theta direction for the solution of the Killing vectors.

Parameters

  xi_i | [input] initial set of the Killing vectors at the starting point on the equator
  theta_i | [input] initial theta coordinate at which the integration starts
  phi | [input] fixed phi coordinate during integration to the theta direction
  nrk | [input] number of the Runge-Kutta integration between two successive collocation points

Definition at line 67 of file blackhole_rk_theta.C.

References confo, Lorene::Mg3d::get_nt(), kerrschild, mp, Lorene::phi, rad_ah(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), and Lorene::Scalar::val_point().

## sauve()

void Lorene::Hole_bhns::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Black_hole.

Definition at line 603 of file hole_bhns.C.

References bc_lapconf_fs, bc_lapconf_nd, confo_auto_rs, irrotational, lapconf_auto_rs, omega_spin, Lorene::Black_hole::sauve(), and shift_auto_rs.

## set_confo_auto()

Scalar & Lorene::Hole_bhns::set_confo_auto | ( |  | ) |

Read/write of the conformal factor generated by the black hole.

Definition at line 575 of file hole_bhns.C.

References confo_auto, and del_deriv().

## set_confo_auto_bh()

Scalar & Lorene::Hole_bhns::set_confo_auto_bh | ( |  | ) |

Read/write of the conformal factor generated by the black hole.

Definition at line 568 of file hole_bhns.C.

References confo_auto_bh, and del_deriv().

## set_confo_auto_rs()

Scalar & Lorene::Hole_bhns::set_confo_auto_rs | ( |  | ) |

Read/write of the conformal factor generated by the black hole.

Definition at line 561 of file hole_bhns.C.

References confo_auto_rs, and del_deriv().

## set_confo_comp()

Scalar & Lorene::Hole_bhns::set_confo_comp | ( |  | ) |

Read/write of the conformal factor generated by the companion star.

Definition at line 582 of file hole_bhns.C.

References confo_comp, and del_deriv().

## set_confo_tot()

Scalar & Lorene::Hole_bhns::set_confo_tot | ( |  | ) |

Read/write of the total conformal factor.

Definition at line 589 of file hole_bhns.C.

References confo_tot, and del_deriv().

## set_der_0x0()

void Lorene::Hole_bhns::set_der_0x0 | ( |  | ) | const

protected

Sets to `0x0` all the pointers on derived quantities.

Definition at line 403 of file hole_bhns.C.

References p_spin_am_bhns, and Lorene::Black_hole::set_der_0x0().

## set_lapconf_auto()

Scalar & Lorene::Hole_bhns::set_lapconf_auto | ( |  | ) |

Read/write of the lapconf function generated by the black hole.

Definition at line 491 of file hole_bhns.C.

References del_deriv(), and lapconf_auto.

## set_lapconf_auto_bh()

Scalar & Lorene::Hole_bhns::set_lapconf_auto_bh | ( |  | ) |

Read/write of the lapconf function generated by the black hole.

Definition at line 484 of file hole_bhns.C.

References del_deriv(), and lapconf_auto_bh.

## set_lapconf_auto_rs()

Scalar & Lorene::Hole_bhns::set_lapconf_auto_rs | ( |  | ) |

Read/write of the lapconf function generated by the black hole.

Definition at line 477 of file hole_bhns.C.

References del_deriv(), and lapconf_auto_rs.

## set_lapconf_comp()

Scalar & Lorene::Hole_bhns::set_lapconf_comp | ( |  | ) |

Read/write of the lapconf function generated by the companion star.

Definition at line 498 of file hole_bhns.C.

References del_deriv(), and lapconf_comp.

## set_lapconf_tot()

Scalar & Lorene::Hole_bhns::set_lapconf_tot | ( |  | ) |

Read/write of the total lapconf function.

Definition at line 505 of file hole_bhns.C.

References del_deriv(), and lapconf_tot.

## set_lapse_auto()

Scalar & Lorene::Hole_bhns::set_lapse_auto | ( |  | ) |

Read/write of the lapse function generated by the black hole.

Definition at line 512 of file hole_bhns.C.

References del_deriv(), and lapse_auto.

## set_lapse_tot()

Scalar & Lorene::Hole_bhns::set_lapse_tot | ( |  | ) |

Read/write of the total lapse function.

Definition at line 519 of file hole_bhns.C.

References del_deriv(), and lapse_tot.

## set_mass_bh()

double & Lorene::Black_hole::set_mass_bh | ( |  | ) |

inline inherited

Read/write of the gravitational mass of BH [{\tt m_unit}].

Definition at line 207 of file blackhole.h.

References mass_bh.

## set_mp()

Map & Lorene::Black_hole::set_mp | ( |  | ) |

inline inherited

Read/write of the mapping.

Definition at line 204 of file blackhole.h.

References Lorene::Map(), and mp.

## set_omega_spin()

double & Lorene::Hole_bhns::set_omega_spin | ( |  | ) |

inline

Sets the spin angular velocity of the black hole [{\tt f_unit}].

Definition at line 290 of file hole_bhns.h.

References omega_spin.

## set_shift_auto()

Vector & Lorene::Hole_bhns::set_shift_auto | ( |  | ) |

Read/write of the shift vector generated by the black hole.

Definition at line 540 of file hole_bhns.C.

References del_deriv(), and shift_auto.

## set_shift_auto_bh()

Vector & Lorene::Hole_bhns::set_shift_auto_bh | ( |  | ) |

Read/write of the shift vector generated by the black hole.

Definition at line 533 of file hole_bhns.C.

References del_deriv(), and shift_auto_bh.

## set_shift_auto_rs()

Vector & Lorene::Hole_bhns::set_shift_auto_rs | ( |  | ) |

Read/write of the shift vector generated by the black hole.

Definition at line 526 of file hole_bhns.C.

References del_deriv(), and shift_auto_rs.

## set_shift_comp()

Vector & Lorene::Hole_bhns::set_shift_comp | ( |  | ) |

Read/write of the shift vector generated by the companion star.

Definition at line 547 of file hole_bhns.C.

References del_deriv(), and shift_comp.

## set_shift_tot()

Vector & Lorene::Hole_bhns::set_shift_tot | ( |  | ) |

Read/write of the total shift vector.

Definition at line 554 of file hole_bhns.C.

References del_deriv(), and shift_tot.

## spin_am_bh()

double Lorene::Black_hole::spin_am_bh | ( | bool | bclapconf_nd,
|  | bool | bclapconf_fs,
|  | const Tbl & | xi_i,
|  | const double & | phi_i,
|  | const double & | theta_i,
|  | const int & | nrk_phi,
|  | const int & | nrk_theta ) const

inherited

Spin angular momentum.

Definition at line 528 of file blackhole_global.C.

References Lorene::Tensor::annule_domain(), confo, Lorene::Scalar::dec_dzpuis(), Lorene::Map_af::integrale_surface(), kerrschild, killing_vect_bh(), mp, p_spin_am_bh, Lorene::pow(), Lorene::Scalar::raccord(), Lorene::Vector::set(), Lorene::Tensor::set_etat_qcq(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), and taij.

## spin_am_bhns()

double Lorene::Hole_bhns::spin_am_bhns | ( | const Tbl & | xi_i,
|  | const double & | phi_i,
|  | const double & | theta_i,
|  | const int & | nrk_phi,
|  | const int & | nrk_theta ) const

Spin angular momentum of the black hole.

Definition at line 102 of file hole_bhns_global.C.

References Lorene::Tensor::annule_domain(), bc_lapconf_fs, bc_lapconf_nd, confo_tot, Lorene::Scalar::dec_dzpuis(), Lorene::Map_af::integrale_surface(), Lorene::Black_hole::kerrschild, killing_vect(), lapconf_tot, Lorene::Black_hole::mass_bh, Lorene::Black_hole::mp, p_spin_am_bhns, Lorene::pow(), Lorene::Black_hole::r_coord(), Lorene::Scalar::raccord(), Lorene::Vector::set(), Lorene::Tensor::set_etat_qcq(), Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), Lorene::Vector::std_spectral_base(), and taij_tot_rs.

## static_bh()

void Lorene::Black_hole::static_bh | ( | bool | neumann,
|  | bool | first )

inherited

Sets the metric quantities to a spherical, static blach-hole analytic solution.

Parameters

  neumann | [input] `true` for the neumann bc, `false` for the dirichlet one for the lapse
  first | [input] `true` for the first type of bc, `false` for the second type

Definition at line 60 of file blackhole_static.C.

References confo, kerrschild, lapconf, lapse, mass_bh, mp, Lorene::pow(), r_coord(), Lorene::Vector::set(), Lorene::Tensor::set_etat_qcq(), shift, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), and Lorene::Vector::std_spectral_base().

## update_met_der_comp_bhns()

void Lorene::Hole_bhns::update_met_der_comp_bhns | ( | const Star_bhns & | star | ) |

Computes derivative of metric quantities from the companion neutron star.

Parameters

  star | companion neutron star

Definition at line 60 of file hole_bhns_upmetr_der.C.

References d_confo_comp, d_lapconf_comp, d_shift_comp, Lorene::Tensor::dec_dzpuis(), del_deriv(), Lorene::Star_bhns::get_d_confo_auto(), Lorene::Star_bhns::get_d_lapconf_auto(), and Lorene::Star_bhns::get_d_shift_auto().

## update_metric_bhns()

void Lorene::Hole_bhns::update_metric_bhns | ( | const Star_bhns & | star,
|  | const Hole_bhns & | hole_prev,
|  | double | relax )

Computes metric coefficients from known potentials with relaxation when the companion is a black hole.

The calculation is performed starting from the quantities `lapse_auto` , `shift_auto` , `confo_auto` , `comp.lapse_auto` , `comp.confo_auto` which are supposed to be up to date. From these, the following fields are updated: `lapse_comp` , `lapse_tot`, `confo_comp`, `confo_tot` , `psi4` ,

Parameters

  star | companion neutron star
  hole_prev | previous value of the hole
  relax | relaxation parameter

Definition at line 61 of file hole_bhns_upmetr.C.

References bc_lapconf_fs, bc_lapconf_nd, Lorene::Vector::change_triad(), confo_auto, confo_auto_bh, confo_auto_rs, confo_comp, confo_tot, d_confo_auto, d_confo_auto_bh, d_confo_auto_rs, d_lapconf_auto, d_lapconf_auto_bh, d_lapconf_auto_rs, d_shift_auto, d_shift_auto_bh, d_shift_auto_rs, del_deriv(), Lorene::Black_hole::flat, Lorene::Star_bhns::get_confo_auto(), Lorene::Star_bhns::get_lapconf_auto(), Lorene::Star::get_mp(), Lorene::Star_bhns::get_shift_auto(), Lorene::Tensor::get_triad(), Hole_bhns(), Lorene::Black_hole::kerrschild, lapconf_auto, lapconf_auto_bh, lapconf_auto_rs, lapconf_comp, lapconf_tot, lapse_auto, lapse_tot, Lorene::Map(), Lorene::Black_hole::mass_bh, Lorene::Black_hole::mp, Lorene::pow(), Lorene::Black_hole::r_coord(), Lorene::Vector::set(), Lorene::Tensor::set_etat_qcq(), shift_auto, shift_auto_bh, shift_auto_rs, shift_comp, shift_tot, Lorene::sqrt(), Lorene::Scalar::std_spectral_base(), and Lorene::Vector::std_spectral_base().

## Friends And Related Symbol Documentation

## Bin_bhns

friend class Bin_bhns

friend

Definition at line 678 of file hole_bhns.h.

## Member Data Documentation

## bc_lapconf_fs

bool Lorene::Hole_bhns::bc_lapconf_fs

protected

`true` for the first type BC for the lapconf function, `false` for the second type BH

Definition at line 78 of file hole_bhns.h.

## bc_lapconf_nd

bool Lorene::Hole_bhns::bc_lapconf_nd

protected

`true` for the Neumann type BC for the lapconf function, `false` for the Dirichlet type BH

Definition at line 73 of file hole_bhns.h.

## confo

Scalar Lorene::Black_hole::confo

protected inherited

Conformal factor generated by the black hole.

Definition at line 118 of file blackhole.h.

## confo_auto

Scalar Lorene::Hole_bhns::confo_auto

protected

Conformal factor generated by the black hole.

Definition at line 163 of file hole_bhns.h.

## confo_auto_bh

Scalar Lorene::Hole_bhns::confo_auto_bh

protected

Part of the conformal factor from the analytic background.

Definition at line 160 of file hole_bhns.h.

## confo_auto_rs

Scalar Lorene::Hole_bhns::confo_auto_rs

protected

Part of the conformal factor from the numerical computation.

Definition at line 157 of file hole_bhns.h.

## confo_comp

Scalar Lorene::Hole_bhns::confo_comp

protected

Conformal factor generated by the companion star.

Definition at line 166 of file hole_bhns.h.

## confo_tot

Scalar Lorene::Hole_bhns::confo_tot

protected

Total conformal factor.

Definition at line 169 of file hole_bhns.h.

## d_confo_auto

Vector Lorene::Hole_bhns::d_confo_auto

protected

Derivative of the conformal factor generated by the black hole.

Definition at line 182 of file hole_bhns.h.

## d_confo_auto_bh

Vector Lorene::Hole_bhns::d_confo_auto_bh

protected

Derivative of the part of the conformal factor from the analytic background.

Definition at line 179 of file hole_bhns.h.

## d_confo_auto_rs

Vector Lorene::Hole_bhns::d_confo_auto_rs

protected

Derivative of the part of the conformal factor from the numerical computation.

Definition at line 174 of file hole_bhns.h.

## d_confo_comp

Vector Lorene::Hole_bhns::d_confo_comp

protected

Derivative of the conformal factor generated by the companion star.

Definition at line 185 of file hole_bhns.h.

## d_lapconf_auto

Vector Lorene::Hole_bhns::d_lapconf_auto

protected

Derivative of the lapconf function generated by the black hole.

Definition at line 120 of file hole_bhns.h.

## d_lapconf_auto_bh

Vector Lorene::Hole_bhns::d_lapconf_auto_bh

protected

Derivative of the part of the lapconf function from the analytic background.

Definition at line 117 of file hole_bhns.h.

## d_lapconf_auto_rs

Vector Lorene::Hole_bhns::d_lapconf_auto_rs

protected

Derivative of the part of the lapconf function from the numerical computation.

Definition at line 112 of file hole_bhns.h.

## d_lapconf_comp

Vector Lorene::Hole_bhns::d_lapconf_comp

protected

Derivative of the lapconf function generated by the companion star.

Definition at line 123 of file hole_bhns.h.

## d_shift_auto

Tensor Lorene::Hole_bhns::d_shift_auto

protected

Derivative of the shift vector generated by the black hole.

Definition at line 151 of file hole_bhns.h.

## d_shift_auto_bh

Tensor Lorene::Hole_bhns::d_shift_auto_bh

protected

Derivative of the part of the shift vector from the analytic background.

Definition at line 148 of file hole_bhns.h.

## d_shift_auto_rs

Tensor Lorene::Hole_bhns::d_shift_auto_rs

protected

Derivative of the part of the shift vector from the numerical computation.

Definition at line 143 of file hole_bhns.h.

## d_shift_comp

Tensor Lorene::Hole_bhns::d_shift_comp

protected

Derivative of the shift vector generated by the companion star.

Definition at line 154 of file hole_bhns.h.

## flat

Metric_flat Lorene::Black_hole::flat

protected inherited

Flat metric defined on the mapping (Spherical components with respect to the mapping of the black hole ).

Definition at line 143 of file blackhole.h.

## irrotational

bool Lorene::Hole_bhns::irrotational

protected

`true` for an irrotational black hole, `false` for a corotating one

Definition at line 83 of file hole_bhns.h.

## kerrschild

bool Lorene::Black_hole::kerrschild

protected inherited

`true` for a Kerr-Schild background, `false` for a conformally flat background

Definition at line 85 of file blackhole.h.

## lapconf

Scalar Lorene::Black_hole::lapconf

protected inherited

A function (lapse function * conformal factor) lapconf generated by the black hole.

Definition at line 97 of file blackhole.h.

## lapconf_auto

Scalar Lorene::Hole_bhns::lapconf_auto

protected

Lapconf function generated by the black hole.

Definition at line 95 of file hole_bhns.h.

## lapconf_auto_bh

Scalar Lorene::Hole_bhns::lapconf_auto_bh

protected

Part of the lapconf function from the analytic background.

Definition at line 92 of file hole_bhns.h.

## lapconf_auto_rs

Scalar Lorene::Hole_bhns::lapconf_auto_rs

protected

Part of the lapconf function from the numerical computation.

Definition at line 89 of file hole_bhns.h.

## lapconf_bh

Scalar Lorene::Black_hole::lapconf_bh

protected inherited

Part of lapconf from the analytic background.

Definition at line 103 of file blackhole.h.

## lapconf_comp

Scalar Lorene::Hole_bhns::lapconf_comp

protected

Lapconf function generated by the companion star.

Definition at line 98 of file hole_bhns.h.

## lapconf_rs

Scalar Lorene::Black_hole::lapconf_rs

protected inherited

Part of lapconf from the numerical computation.

Definition at line 100 of file blackhole.h.

## lapconf_tot

Scalar Lorene::Hole_bhns::lapconf_tot

protected

Total lapconf function.

Definition at line 101 of file hole_bhns.h.

## lapse

Scalar Lorene::Black_hole::lapse

protected inherited

Lapse function generated by the black hole.

Definition at line 106 of file blackhole.h.

## lapse_auto

Scalar Lorene::Hole_bhns::lapse_auto

protected

Lapse function of the "black hole" part.

Definition at line 104 of file hole_bhns.h.

## lapse_tot

Scalar Lorene::Hole_bhns::lapse_tot

protected

Total lapse function.

Definition at line 107 of file hole_bhns.h.

## mass_bh

double Lorene::Black_hole::mass_bh

protected inherited

Gravitational mass of BH.

Definition at line 88 of file blackhole.h.

## mp

Map& Lorene::Black_hole::mp

protected inherited

Mapping associated with the black hole.

Definition at line 80 of file blackhole.h.

## omega_spin

double Lorene::Hole_bhns::omega_spin

protected

Spin angular velocity of the black hole.

Definition at line 86 of file hole_bhns.h.

## p_angu_mom_bh

Tbl* Lorene::Black_hole::p_angu_mom_bh

mutable protected inherited

Spin angular momentum.

Total angular momentum of the black hole

Definition at line 162 of file blackhole.h.

## p_mass_adm

double* Lorene::Black_hole::p_mass_adm

mutable protected inherited

Irreducible mass of the black hole.

Definition at line 153 of file blackhole.h.

## p_mass_irr

double* Lorene::Black_hole::p_mass_irr

mutable protected inherited

Conformal metric .

Definition at line 151 of file blackhole.h.

## p_mass_irr_bhns

double* Lorene::Hole_bhns::p_mass_irr_bhns

mutable protected

Definition at line 246 of file hole_bhns.h.

## p_mass_kom

double* Lorene::Black_hole::p_mass_kom

mutable protected inherited

ADM mass.

Definition at line 155 of file blackhole.h.

## p_rad_ah

double* Lorene::Black_hole::p_rad_ah

mutable protected inherited

Komar mass.

Definition at line 157 of file blackhole.h.

## p_spin_am_bh

double* Lorene::Black_hole::p_spin_am_bh

mutable protected inherited

Radius of the apparent horizon.

Definition at line 159 of file blackhole.h.

## p_spin_am_bhns

double* Lorene::Hole_bhns::p_spin_am_bhns

mutable protected

Irreducible mass of BH.

Quasilocal spin angular momentum of BH

Definition at line 248 of file hole_bhns.h.

## shift

Vector Lorene::Black_hole::shift

protected inherited

Shift vector generated by the black hole.

Definition at line 109 of file blackhole.h.

## shift_auto

Vector Lorene::Hole_bhns::shift_auto

protected

Shift vector generated by the black hole.

Definition at line 132 of file hole_bhns.h.

## shift_auto_bh

Vector Lorene::Hole_bhns::shift_auto_bh

protected

Part of the shift vector from the analytic background.

Definition at line 129 of file hole_bhns.h.

## shift_auto_rs

Vector Lorene::Hole_bhns::shift_auto_rs

protected

Part of the shift vector from the numerical computation.

Definition at line 126 of file hole_bhns.h.

## shift_bh

Vector Lorene::Black_hole::shift_bh

protected inherited

Part of the shift vector from the analytic background.

Definition at line 115 of file blackhole.h.

## shift_comp

Vector Lorene::Hole_bhns::shift_comp

protected

Shift vector generated by the companion star.

Definition at line 135 of file hole_bhns.h.

## shift_rs

Vector Lorene::Black_hole::shift_rs

protected inherited

Part of the shift vector from the numerical computation.

Definition at line 112 of file blackhole.h.

## shift_tot

Vector Lorene::Hole_bhns::shift_tot

protected

Total shift vector ;.

Definition at line 138 of file hole_bhns.h.

## taij

Sym_tensor Lorene::Black_hole::taij

protected inherited

Trace of the extrinsic curvature.

Extrinsic curvature tensor generated by `shift` , `lapse` , and `confo` .

Definition at line 127 of file blackhole.h.

## taij_auto

Sym_tensor Lorene::Hole_bhns::taij_auto

protected

Part of the extrinsic curvature tensor generated by the black hole.

Definition at line 216 of file hole_bhns.h.

## taij_auto_rs

Sym_tensor Lorene::Hole_bhns::taij_auto_rs

protected

Part of the extrinsic curvature tensor numericalty computed for the black hole.

Definition at line 211 of file hole_bhns.h.

## taij_comp

Sym_tensor Lorene::Hole_bhns::taij_comp

protected

Part of the extrinsic curvature tensor generated by the companion star.

Definition at line 221 of file hole_bhns.h.

## taij_quad

Scalar Lorene::Black_hole::taij_quad

protected inherited

Part of the scalar generated by .

Definition at line 135 of file blackhole.h.

## taij_quad_auto

Scalar Lorene::Hole_bhns::taij_quad_auto

protected

Part of the scalar from the black hole.

Definition at line 238 of file hole_bhns.h.

## taij_quad_comp

Scalar Lorene::Hole_bhns::taij_quad_comp

protected

Part of the scalar from the companion star.

Definition at line 241 of file hole_bhns.h.

## taij_quad_rs

Scalar Lorene::Black_hole::taij_quad_rs

protected inherited

Part of the scalar.

Definition at line 138 of file blackhole.h.

## taij_quad_tot

Scalar Lorene::Hole_bhns::taij_quad_tot

protected

Total scalar generated by .

Definition at line 235 of file hole_bhns.h.

## taij_quad_tot_bh

Scalar Lorene::Hole_bhns::taij_quad_tot_bh

protected

Part of the scalar from the analytic background.

Definition at line 230 of file hole_bhns.h.

## taij_quad_tot_rot

Scalar Lorene::Hole_bhns::taij_quad_tot_rot

protected

Part of the scalar from the rotation shift vector.

Definition at line 227 of file hole_bhns.h.

## taij_quad_tot_rs

Scalar Lorene::Hole_bhns::taij_quad_tot_rs

protected

Part of the scalar from the numerical computation.

Definition at line 224 of file hole_bhns.h.

## taij_rs

Sym_tensor Lorene::Black_hole::taij_rs

protected inherited

Part of the extrinsic curvature tensor.

Definition at line 130 of file blackhole.h.

## taij_tot

Sym_tensor Lorene::Hole_bhns::taij_tot

protected

Total extrinsic curvature tensor generated by `shift_tot` , `lapse_tot` , and `confo_tot` .

Definition at line 206 of file hole_bhns.h.

## taij_tot_bh

Sym_tensor Lorene::Hole_bhns::taij_tot_bh

protected

Part of the extrinsic curvature tensor from the analytic background.

Definition at line 200 of file hole_bhns.h.

## taij_tot_rot

Sym_tensor Lorene::Hole_bhns::taij_tot_rot

protected

Part of the extrinsic curvature tensor from the rotation shift vector.

Definition at line 195 of file hole_bhns.h.

## taij_tot_rs

Sym_tensor Lorene::Hole_bhns::taij_tot_rs

protected

Part of the extrinsic curvature tensor from the numerical computation.

Definition at line 190 of file hole_bhns.h.

The documentation for this class was generated from the following files:

- hole_bhns.h
- hole_bhns.C
- hole_bhns_bc.C
- hole_bhns_equilibrium.C
- hole_bhns_extr_curv.C
- hole_bhns_global.C
- hole_bhns_killing.C
- hole_bhns_rk_phi.C
- hole_bhns_rk_theta.C
- hole_bhns_upmetr.C
- hole_bhns_upmetr_der.C